Catmandu::Fix::rdf_ldf_statements(3pm)

NAME
Catmandu::Fix::rdf_ldf_statements - lookup an object into a LDF endpoint

SYNOPSIS
    # Replace a name with an array of matching VIAF records
    # name: "\"Einstein, Albert, 1879-1955\""
    rdf_ldf_statements(name,url:"http://data.linkedatafragments.org/viaf",predicate:"http://schema.org/alternateName")

    # name:
    #   - http://viaf.org/viaf/75121530

DESCRIPTION
This Catmandu::Fix can be used to find at a Linked Data Fragments endpoint all subject URIs for which the object has a specific value found at a path. E.g.

   rdf_ldf_statements(name,url:"http://data.linkedatafragments.org/viaf")

 means, search at the endpoint http://data.linkedatafragments.org/viaf all the
 subjects for which the object is the value found in 'name', and replace the name value
 with all the found subjects.

ARGUMENTS

subject
    Optional subject URI to be used in the LDF query

predicate
    Optional predicate URI to be used in the LDF query

url Required URL to the Linked Data Fragments endpoint

SEE ALSO
Catmandu::Fix